[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# IUnknown

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Basic interface for all COM-based interfaces

## Declaration

Source position: objpash.inc line 259

`type IUnknown = interface`
`function QueryInterface();` |  | Return pointer to VMT table of interface
`function _AddRef;` |  | Increase reference count of the interface
`function _Release;` |  | Decrease reference count of the interface
`end;`

## Inheritance

`IUnknown` |  | Basic interface for all COM-based interfaces

## Description

IUnknown is defined by windows. It's the basic interface which all COM objects must implement. The definition does not contain any code.

## See also

IInterface |  | Basic interface for all COM based interfaces
IDispatch |  | Dispatch interface
IInvokable |  | Interface with RTTI associated with it.